List refunds for a payment.
GET
/v1/payments/{reference}/refunds
const url = 'https://api.ridleypay.com/v1/payments/WOO-123/refunds';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ridleypay.com/v1/payments/WOO-123/refunds \ --header 'Authorization: Bearer <token>'Returns all refunds associated with the specified payment.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”reference
required
string
The payment reference.
Example
WOO-123Responses
Section titled “ Responses ”Refunds list
Media typeapplication/json
object
data
Array<object>
object
id
string
type
string
attributes
object
amount
string
reason
string
status
string
created_at
string
meta
object
payment
object
reference
string
status
string
amount
string
total_refunded
string
refundable_amount
string
Example
{ "data": [ { "id": "1", "type": "refunds", "attributes": { "amount": "25.00", "reason": "Customer request", "status": "completed", "created_at": "2026-03-05T12:00:00+00:00" } } ], "meta": { "payment": { "reference": "WOO-123", "status": "PARTIALLY_REFUNDED", "amount": "99.99", "total_refunded": "25.00", "refundable_amount": "74.99" } }}Payment not found
Media typeapplication/json
object
errors
Array<object>
object
status
string
title
string
detail
string
Example
{ "errors": [ { "status": "404", "title": "Not Found", "detail": "Payment not found." } ]}